com.pixelmed.network

## Class NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

- java.lang.Object
- - com.pixelmed.network.MultipleInstanceTransferStatusHandler
  - - com.pixelmed.network.NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

Enclosing class:
  NetworkMediaImporter

    protected class NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler
    extends MultipleInstanceTransferStatusHandler

### Field Summary

Fields
`protected MessageLogger` `logger`

### Constructor Summary

Constructors
Constructor and Description
`NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler(MessageLogger logger)`

### Method Summary

Methods
`void` `updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, java.lang.String sopInstanceUID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected MessageLogger logger

### Constructor Detail

#### NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

    public NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler(MessageLogger logger)

### Method Detail

#### updateStatus

    public void updateStatus(int nRemaining,
                    int nCompleted,
                    int nFailed,
                    int nWarning,
                    java.lang.String sopInstanceUID)

Specified by:
  `updateStatus` in class `MultipleInstanceTransferStatusHandler`